Results 1 to 7 of 7

Thread: Cant get a working ATI Radeon X1600 Driver!

  1. #1
    Join Date
    Oct 2007
    Beans
    95
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Exclamation Cant get a working ATI Radeon X1600 Driver!

    Hey, cant get a proper driver for my ATI Radeon X1600
    There are no proprietary drivers, i went to the ATI website and downloaded "ati-driver-installer-9-3-x86.x86_64.run"
    and ran that, but it gave me this output:
    Code:
    ==================================================
     ATI Technologies Linux Driver Installer/Packager 
    ==================================================
    
    Error: ./default_policy.sh does not support version
    default:v2:i686:lib::none:2.6.28-11-generic; make sure that the version is being
    correctly set by --iscurrentdistro

    So, do i need to fix this? or is there another way to get some proper drivers?


  2. #2
    Join Date
    Oct 2007
    Beans
    473

    Re: Cant get a working ATI Radeon X1600 Driver!

    Quote Originally Posted by GodsDead View Post
    Hey, cant get a proper driver for my ATI Radeon X1600
    There are no proprietary drivers, i went to the ATI website and downloaded "ati-driver-installer-9-3-x86.x86_64.run"
    and ran that, but it gave me this output:
    Code:
    ==================================================
     ATI Technologies Linux Driver Installer/Packager 
    ==================================================
    
    Error: ./default_policy.sh does not support version
    default:v2:i686:lib::none:2.6.28-11-generic; make sure that the version is being
    correctly set by --iscurrentdistro

    So, do i need to fix this? or is there another way to get some proper drivers?

    If you're running Jaunty then there are no proprietary drivers for your card (R520 family). The open source ones are now the "proper" drivers.

  3. #3
    Join Date
    Oct 2007
    Beans
    95
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Cant get a working ATI Radeon X1600 Driver!

    Oh right, so how do i fix this error im getting then?

  4. #4
    Join Date
    May 2009
    Beans
    3
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Exclamation Re: Cant get a working ATI Radeon X1600 Driver!

    Hi. i have a ATI Radeon X1550, i have troubles installing the drivers from ati.com

    I have running ubuntu 9.04 64 bit

    Searching in varios blogs i encounter that our cards have a code name called R520 maybe if we search more about that we can find the solution

  5. #5
    Join Date
    Feb 2012
    Beans
    9

    Re: Cant get a working ATI Radeon X1600 Driver!

    just so everyone knows, its not like it used to be back in the day. You used to be able to buy a graphics card and use it nicely for 6 years, now days you are lucky to get 6 months of good support, even worse-- i hear ati/amd does not offer any extended specs for their cards and their drivers are closed source only, probably because people like M$ are feeding them paper on the side to do this so they can corner and dominate the market... as usual (absolute power corrupts, absolutely)

  6. #6
    Join Date
    Dec 2005
    Location
    Western Australia
    Beans
    11,432
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Cant get a working ATI Radeon X1600 Driver!

    Please don't bump old threads. Buy an Nvidia card instead as their drivers are better and supported longer.

  7. #7
    Join Date
    Jul 2008
    Location
    The Left Coast of the USA
    Beans
    Hidden!
    Distro
    Kubuntu

    Re: Cant get a working ATI Radeon X1600 Driver!

    Ding dong the thead is dead.
    The Community Java Wiki * The Community ATI Driver Wiki * Find what you need in the Ubuntu Community wikis

    And seeing the terror on the faces of the people, QIII did speak to them, saying "Fear not the Terminal, for it is a road both swift and secure to the Great Mysteries of Linux without passing through the dangers of The Land of Ten Thousand Competing Desktop Environments."

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •